EAPI=5

inherit eutils

DESCRIPTION="An X viewer for PDF files"
HOMEPAGE="http://www.foolabs.com/xpdf/"
SRC_URI="ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.04.tar.gz"

LICENSE="|| ( GPL-2 GPL-3 )"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND=">=x11-libs/motif-2.3:0
	media-libs/freetype:2
	app-text/libpaper
	x11-libs/libX11
	x11-libs/libXpm"
RDEPEND="${DEPEND}
	media-fonts/urw-fonts"

src_prepare() {
	epatch "${FILESDIR}"/xpdf-Add-Gentoo-font-path.patch
}

src_configure() {
	econf --with-freetype2-includes=/usr/include/freetype2
}

src_install() {
	dobin xpdf/xpdf
	doman doc/xpdf.1
	doman doc/xpdfrc.5
	dodoc COPYING COPYING3 README ANNOUNCE CHANGES
	newicon xpdf/xpdfIcon.xpm xpdf.xpm

	insinto /etc
	newins doc/sample-xpdfrc xpdfrc

	insinto /usr/share/applications
	doins "${FILESDIR}"/xpdf.desktop
}
